module.exports = (base_data) => `{
  "name": "${base_data.name}",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "json_to_language_file": "node cli/translation/json_to_language_file.js",
    "j2f": "node cli/translation/json_to_language_file.js",
    "language_file_to_json": "node cli/translation/language_file_to_json.js",
    "translate": "node cli/translation/translate.js",
    "dev": "webpack-dev-server --progress --config cli/build/webpack.dev.conf.js",
    "build": "node cli/build/build.js",
    "backdown": "node cli/backup/backdown.js"
  },
  "devDependencies": {
    "@babel/core": "^7.0.0",
    "@babel/preset-env": "^7.0.0",
    "@babel/helper-module-imports": "^7.0.0",
    "@babel/plugin-syntax-jsx": "^7.0.0",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-plugin-transform-vue-jsx": "^4.0.1",
    "autoprefixer": "^8.1.0",
    "babel-loader": "^8.0.0",
    "babel-plugin-component": "^1.1.1",
    "babel-plugin-import": "^1.8.0",
    "babel-preset-es2015": "^6.24.1",
    "copy-webpack-plugin": "^4.5.2",
    "css-loader": "^0.28.10",
    "decompress": "^4.2.0",
    "extract-text-webpack-plugin": "^3.0.0",
    "file-loader": "^1.1.11",
    "friendly-errors-webpack-plugin": "^1.7.0",
    "gulp": "^3.9.1",
    "html-webpack-plugin": "^3.0.6",
    "iview": "^2.14.3",
    "iview-loader": "^1.0.0",
    "jquery": "^3.3.1",
    "node-notifier": "^5.2.1",
    "node-sass": "^4.7.2",
    "node-ssh": "^5.1.1",
    "optimize-css-assets-webpack-plugin": "^3.2.0",
    "ora": "^2.0.0",
    "portfinder": "^1.0.17",
    "postcss-import": "^12.0.0",
    "postcss-loader": "^2.1.1",
    "postcss-url": "^8.0.0",
    "sass-loader": "^6.0.7",
    "select-shell": "^1.1.2",
    "style-loader": "^0.20.3",
    "uglifyjs-webpack-plugin": "^1.2.3",
    "url-loader": "^1.0.1",
    "vue": "^2.5.15",
    "vue-loader": "^14.2.1",
    "vue-style-loader": "^4.0.2",
    "vue-template-compiler": "^2.5.15",
    "webpack": "^3.6.0",
    "webpack-bundle-analyzer": "^2.13.1",
    "webpack-dev-server": "^2.11.3",
    "webpack-merge": "^4.1.2",
    "yargs": "^11.0.0"
  },
  "dependencies": {
    "axios": "^0.18.0",
    "element-ui": "^2.4.6",
    "libs-js": "^1.1.5",
    "vue-router": "^3.0.1",
    "vue-ueditor": "^0.1.3",
    "vuex": "^3.0.1",
    "vuex-router-sync": "^5.0.0",
    "xmlstring2json": "^0.1.9"
  },
  "author": "",
  "license": "ISC",
  "engines": {
    "node": ">= 6.0.0",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8",
    "ie 10"
  ]
}
`;